# API Metadata

***

## /getapimetadata

Fetch endpoint metadata organized by category.

<mark style="color:blue;">`GET`</mark> `https://api.expand.network/getapimetadata`

#### Query Parameters

<table><thead><tr><th width="190">Name</th><th width="95">Type</th><th>Description</th></tr></thead><tbody><tr><td>category<mark style="color:red;">*</mark></td><td>String</td><td>Refer <a href="#table-of-contents">Table of Contents</a> for details. </td></tr><tr><td>endpoint<mark style="color:red;">*</mark></td><td>String</td><td>Refer <a href="#table-of-contents">Table of Contents</a> for details. </td></tr></tbody></table>

{% tabs %}
{% tab title="Sample Request" %}

```url
https://api.expand.network/getapimetadata?category=chain&endpoint=getbalance
```

{% endtab %}

{% tab title="Sample Response" %}

```json
{
    "status": 200,
    "msg": "success",
    "data": {
        "supportedChains": [
            {
                "chainName": "Ethereum",
                "chainSymbol": "ETH",
                "chainId": "1"
            },
            {
                "chainName": "EthereumTestnetSepolia",
                "chainSymbol": "TETHSPL",
                "chainId": "11155111"
            },
            {
                "chainName": "BinanceSmartChain",
                "chainSymbol": "BSC",
                "chainId": "56"
            },
            {
                "chainName": "Cronos",
                "chainSymbol": "CRO",
                "chainId": "25"
            },
            {
                "chainName": "BinanceSmartChainTestnet",
                "chainSymbol": "TBSC",
                "chainId": "97"
            },
            {
                "chainName": "Avalanche",
                "chainSymbol": "C-AVAX",
                "chainId": "43114"
            },
            {
                "chainName": "CronosTestnet",
                "chainSymbol": "TCRO",
                "chainId": "338"
            },
            {
                "chainName": "Solana",
                "chainSymbol": "SOL",
                "chainId": "900"
            },
            {
                "chainName": "SolanaDevnet",
                "chainSymbol": "DSOL",
                "chainId": "901"
            },
            {
                "chainName": "Tron",
                "chainSymbol": "TRON",
                "chainId": "1000"
            },
            {
                "chainName": "TronTestnet",
                "chainSymbol": "TTRON",
                "chainId": "1001"
            },
            {
                "chainName": "Near",
                "chainSymbol": "NEAR",
                "chainId": "1200"
            },
            {
                "chainName": "NearTestnet",
                "chainSymbol": "TNEAR",
                "chainId": "1201"
            },
            {
                "chainName": "AvalancheTesnet",
                "chainSymbol": "TAVAX",
                "chainId": "43113"
            },
            {
                "chainName": "Arbitrum",
                "chainSymbol": "AETH",
                "chainId": "42161"
            },
            {
                "chainName": "ArbitrumSepoliaTestnet",
                "chainSymbol": "TASPL",
                "chainId": "421614"
            },
            {
                "chainName": "Optimism",
                "chainSymbol": "OPT",
                "chainId": "10"
            },
            {
                "chainName": "OptimismSepoliaTestnet",
                "chainSymbol": "TSPL",
                "chainId": "11155420"
            },
            {
                "chainName": "FantomTestnet",
                "chainSymbol": "TFTM",
                "chainId": "4002"
            },
            {
                "chainName": "zkSync",
                "chainSymbol": "ZKS",
                "chainId": "324"
            },
            {
                "chainName": "zkSyncTestnet",
                "chainSymbol": "TZKS",
                "chainId": "300"
            },
            {
                "chainName": "Algorand",
                "chainSymbol": "ALGO",
                "chainId": "1300"
            },
            {
                "chainName": "AlgorandTestnet",
                "chainSymbol": "TALGO",
                "chainId": "1301"
            },
            {
                "chainName": "cosmoshub_mainnet",
                "chainSymbol": "cosmos",
                "chainId": "cosmoshub-4"
            },
            {
                "chainName": "cosmoshub_testnet",
                "chainSymbol": "tcosmos",
                "chainId": "theta-testnet-001"
            },
            {
                "chainName": "XRPLedger",
                "chainSymbol": "XRPL",
                "chainId": "1600"
            },
            {
                "chainName": "XRPLedgerTestnet",
                "chainSymbol": "TXRPL",
                "chainId": "1601"
            },
            {
                "chainName": "Stacks",
                "chainSymbol": "STX",
                "chainId": "1700"
            },
            {
                "chainName": "StacksTestnet",
                "chainSymbol": "TSTX",
                "chainId": "1701"
            },
            {
                "chainName": "osmosis",
                "chainSymbol": "osmos",
                "chainId": "osmosis-1"
            },
            {
                "chainName": "osmosistestnet",
                "chainSymbol": "osmos",
                "chainId": "osmo-test-5"
            },
            {
                "chainName": "Bitcoin",
                "chainSymbol": "BTC",
                "chainId": "1800"
            },
            {
                "chainName": "Polygon",
                "chainSymbol": "MATIC",
                "chainId": "137"
            },
            {
                "chainName": "PolygonTestnetAmoy",
                "chainSymbol": "AMATIC",
                "chainId": "80002"
            },
            {
                "chainName": "Fantom",
                "chainSymbol": "FTM",
                "chainId": "250"
            },
            {
                "chainName": "Base",
                "chainSymbol": "BASE",
                "chainId": "8453"
            },
            {
                "chainName": "BaseTestnet2",
                "chainSymbol": "TBASE2",
                "chainId": "84532"
            },
            {
                "chainName": "Aptos",
                "chainSymbol": "APT",
                "chainId": "1400"
            },
            {
                "chainName": "AptosTestnet",
                "chainSymbol": "TAPT",
                "chainId": "1401"
            },
            {
                "chainName": "StarkNet",
                "chainSymbol": "STRK",
                "chainId": "400"
            },
            {
                "chainName": "StarkNetTestnet",
                "chainSymbol": "TSTRK",
                "chainId": "401"
            },
            {
                "chainName": "Ton",
                "chainSymbol": "TON",
                "chainId": "1100"
            },
            {
                "chainName": "TonTestnet",
                "chainSymbol": "TTON",
                "chainId": "1101"
            },
            {
                "chainName": "Stellar",
                "chainSymbol": "XLM",
                "chainId": "1500"
            },
            {
                "chainName": "StellarTestnet",
                "chainSymbol": "TXLM",
                "chainId": "1501"
            },
            {
                "chainName": "EthereumTestnetHolesky",
                "chainSymbol": "TETHHSKY",
                "chainId": "17000"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

### Table of Contents:

1. [<mark style="color:blue;">Bridge</mark>](#bridge)
2. [<mark style="color:blue;">Chain</mark>](#chain)
3. [<mark style="color:blue;">DEX</mark>](#dex)
4. [<mark style="color:blue;">Fungible Token</mark>](#fungible-token)
5. [<mark style="color:blue;">Lend Borrow</mark>](#lend-borrow)
6. [<mark style="color:blue;">Liquid Stacking</mark>](#liquid-stacking)
7. [<mark style="color:blue;">NFT</mark>](#nft)
8. [<mark style="color:blue;">Oracle</mark>](#oracle)
9. [<mark style="color:blue;">RWA</mark>](#rwa)
10. [<mark style="color:blue;">Stablecoin</mark>](#stablecoin)
11. [<mark style="color:blue;">Synthetic</mark>](#synthetic)
12. [<mark style="color:blue;">WETH</mark>](#weth)
13. [<mark style="color:blue;">Yield Aggregator</mark>](#yield-aggregator)

***

### Bridge

| Category | Endpoint           |
| -------- | ------------------ |
| bridge   | addliquidity       |
| bridge   | getliquidity       |
| bridge   | getprice           |
| bridge   | getroute           |
| bridge   | gettransaction     |
| bridge   | getsupportedchains |
| bridge   | getsupportedtokens |
| bridge   | removeliquidity    |
| bridge   | swap               |
| bridge   | getsignature       |
| bridge   | unlock             |
| bridge   | tokens             |
| bridge   | swapwithapproval   |
| bridge   | quoteaggregator    |
| bridge   | swapaggregator     |

### Chain&#x20;

| Category | Endpoint                   |
| -------- | -------------------------- |
| chain    | decodetransaction          |
| chain    | genericsmartcontractmethod |
| chain    | getbalance                 |
| chain    | getsuibalance              |
| chain    | getblock                   |
| chain    | getflashbotblocks          |
| chain    | getflashbotbundle          |
| chain    | getflashbottransactions    |
| chain    | getgasfees                 |
| chain    | getgasprice                |
| chain    | gethistoricalrewards       |
| chain    | getstorage                 |
| chain    | gettokenaddress            |
| chain    | gettransaction             |
| chain    | getusertransactions        |
| chain    | sendtransaction            |
| chain    | portfolio                  |
| chain    | getlatestledger            |
| chain    | getevents                  |
| chain    | simulatetransaction        |
| chain    | estimategas                |
| chain    | createaccount              |
| chain    | getapprovaldata            |
| chain    | createfeetransaction       |
| chain    | getstakepositions          |

### DEX&#x20;

| Category | Endpoint                   |
| -------- | -------------------------- |
| dex      | addliquidity               |
| dex      | createorder                |
| dex      | getindividualposition      |
| dex      | getliquidityholders        |
| dex      | getliquiditysources        |
| dex      | getorders                  |
| dex      | getpoolindividualliquidity |
| dex      | getpoolliquidity           |
| dex      | getpools                   |
| dex      | getprice                   |
| dex      | gettokenliquidity          |
| dex      | getuserliquidity           |
| dex      | getwalletposition          |
| dex      | quoteaggregator            |
| dex      | removeliquidity            |
| dex      | swap                       |
| dex      | swapaggregator             |
| dex      | gethistoricaltimeseries    |
| dex      | gethistoricaltransactions  |
| dex      | getpoolchartdata           |
| dex      | getpooltradedata           |
| dex      | gethistoricalpoolchartdata |
| dex      | gettokenlist               |
| dex      | getroute                   |
| dex      | getmakerorders             |
| dex      | getactiveamount            |
| dex      | cancelorder                |
| dex      | publishorder               |
| dex      | fillorder                  |
| dex      | screen                     |
| dex      | swapwithapproval           |
| dex      | getliquiditybytick         |
| dex      | getusertokenids            |

### Fungible Token

| Category      | Endpoint                    |
| ------------- | --------------------------- |
| fungibletoken | approve                     |
| fungibletoken | convertbasetokentowraptoken |
| fungibletoken | convertwraptokentobasetoken |
| fungibletoken | gettokendetails             |
| fungibletoken | getuserallowance            |
| fungibletoken | getuserbalance              |
| fungibletoken | historical/logs             |
| fungibletoken | historical/transactions     |
| fungibletoken | historical/weth             |
| fungibletoken | transfer                    |
| fungibletoken | transferfrom                |

### Lend Borrow

| Category   | Endpoint           |
| ---------- | ------------------ |
| lendborrow | borrow             |
| lendborrow | deposit            |
| lendborrow | entermarket        |
| lendborrow | entermarketstatus  |
| lendborrow | exitisolationmode  |
| lendborrow | exitmarket         |
| lendborrow | getpool            |
| lendborrow | getpools           |
| lendborrow | getuseraccountdata |
| lendborrow | migrate            |
| lendborrow | repay              |
| lendborrow | setuseremode       |
| lendborrow | withdraw           |
| lendborrow | getassetinfo       |
| lendborrow | getclaimedrewards  |
| lendborrow | getmaxamounts      |
| lendborrow | getgovernordata    |
| lendborrow | allow              |
| lendborrow | claimrewards       |
| lendborrow | bundleactions      |
| lendborrow | transfer           |
| lendborrow | getuserpositions   |

### Liquid Stacking

| Category      | Endpoint              |
| ------------- | --------------------- |
| liquidstaking | getapr                |
| liquidstaking | getrewards            |
| liquidstaking | getstake              |
| liquidstaking | getwithdrawalrequests |
| liquidstaking | getwithdrawalstatus   |
| liquidstaking | getprotocolapr        |
| liquidstaking | getallowance          |
| liquidstaking | stake                 |
| liquidstaking | approvewithdrawal     |
| liquidstaking | requestwithdrawal     |
| liquidstaking | claim                 |
| liquidstaking | decreaseallowance     |
| liquidstaking | increaseallowance     |
| liquidstaking | wrap                  |
| liquidstaking | unwrap                |
| liquidstaking | burn                  |
| liquidstaking | mint                  |
| liquidstaking | restake               |
| liquidstaking | delegate              |
| liquidstaking | undelegate            |

### NFT&#x20;

| Category | Endpoint                |
| -------- | ----------------------- |
| nft      | getbalance              |
| nft      | getmetadata             |
| nft      | getowner                |
| nft      | historical/logs         |
| nft      | historical/transactions |

### Oracle&#x20;

| Category | Endpoint           |
| -------- | ------------------ |
| oracle   | getprice           |
| oracle   | getsupportedtokens |

### RWA

| Category | Endpoint     |
| -------- | ------------ |
| rwa      | issue        |
| rwa      | burn         |
| rwa      | transfer     |
| rwa      | settrustline |
| rwa      | freeze       |

### Stablecoin

| Category   | Endpoint |
| ---------- | -------- |
| stablecoin | getprice |

### Synthetic&#x20;

| Category  | Endpoint            |
| --------- | ------------------- |
| synthetic | depositpeggedtoken  |
| synthetic | getprice            |
| synthetic | withdrawpeggedtoken |

### WETH

| Category | Endpoint        |
| -------- | --------------- |
| weth     | getbalance      |
| weth     | historical/logs |

### Yield Aggregator

| Category        | Endpoint      |
| --------------- | ------------- |
| yieldaggregator | depositpool   |
| yieldaggregator | depositvault  |
| yieldaggregator | getbalance    |
| yieldaggregator | getvaults     |
| yieldaggregator | withdrawpool  |
| yieldaggregator | withdrawvault |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.expand.network/additional-info/api-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
